// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: command/security/GetLog.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace GetLog {

  /// <summary>Holder for reflection information generated from command/security/GetLog.proto</summary>
  public static partial class GetLogReflection {

    #region Descriptor
    /// <summary>File descriptor for command/security/GetLog.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static GetLogReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "Ch1jb21tYW5kL3NlY3VyaXR5L0dldExvZy5wcm90bxIHZ2V0X2xvZxofZ29v",
            "Z2xlL3Byb3RvYnVmL3RpbWVzdGFtcC5wcm90byLlAwoNR2V0TG9nQ29tbWFu",
            "ZBI0Cghsb2dfdHlwZRgBIAEoDjIiLmdldF9sb2cuR2V0TG9nQ29tbWFuZC5M",
            "b2dFbnVtVHlwZRISCgpyZXF1ZXN0X2lkGAIgASgFEhQKB3JldHJpZXMYAyAB",
            "KAVIAIgBARIbCg5yZXRyeV9pbnRlcnZhbBgEIAEoBUgBiAEBEjUKA2xvZxgF",
            "IAEoCzIoLmdldF9sb2cuR2V0TG9nQ29tbWFuZC5Mb2dQYXJhbWV0ZXJzVHlw",
            "ZRrMAQoRTG9nUGFyYW1ldGVyc1R5cGUSFwoPcmVtb3RlX2xvY2F0aW9uGAEg",
            "ASgJEjkKEG9sZGVzdF90aW1lc3RhbXAYAiABKAsyGi5nb29nbGUucHJvdG9i",
            "dWYuVGltZXN0YW1wSACIAQESOQoQbGF0ZXN0X3RpbWVzdGFtcBgDIAEoCzIa",
            "Lmdvb2dsZS5wcm90b2J1Zi5UaW1lc3RhbXBIAYgBAUITChFfb2xkZXN0X3Rp",
            "bWVzdGFtcEITChFfbGF0ZXN0X3RpbWVzdGFtcCIyCgtMb2dFbnVtVHlwZRIS",
            "Cg5EaWFnbm9zdGljc0xvZxAAEg8KC1NlY3VyaXR5TG9nEAFCCgoIX3JldHJp",
            "ZXNCEQoPX3JldHJ5X2ludGVydmFsIsQBChVHZXRMb2dDb21tYW5kUmVzcG9u",
            "c2USQAoGc3RhdHVzGAEgASgOMjAuZ2V0X2xvZy5HZXRMb2dDb21tYW5kUmVz",
            "cG9uc2UuTG9nU3RhdHVzRW51bVR5cGUSFQoIZmlsZW5hbWUYAiABKAlIAIgB",
            "ASJFChFMb2dTdGF0dXNFbnVtVHlwZRIMCghBY2NlcHRlZBAAEgwKCFJlamVj",
            "dGVkEAESFAoQQWNjZXB0ZWRDYW5jZWxlZBACQgsKCV9maWxlbmFtZUKEAQoh",
            "Y29tLmNvZGlibHkubW9kZWwuY29tbWFuZC5nZW5lcmljQgtHZXRMb2dQcm90",
            "b8oCIURvbWFpbk1vZGVsXFByb3RvXENvbW1hbmRcR2VuZXJpY+ICLURvbWFp",
            "bk1vZGVsXFByb3RvXENvbW1hbmRcR2VuZXJpY1xHUEJNZXRhZGF0YWIGcHJv",
            "dG8z"));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Google.Protobuf.WellKnownTypes.TimestampReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::GetLog.GetLogCommand), global::GetLog.GetLogCommand.Parser, new[]{ "LogType", "RequestId", "Retries", "RetryInterval", "Log" }, new[]{ "Retries", "RetryInterval" }, new[]{ typeof(global::GetLog.GetLogCommand.Types.LogEnumType) }, null, new pbr::GeneratedClrTypeInfo[] { new pbr::GeneratedClrTypeInfo(typeof(global::GetLog.GetLogCommand.Types.LogParametersType), global::GetLog.GetLogCommand.Types.LogParametersType.Parser, new[]{ "RemoteLocation", "OldestTimestamp", "LatestTimestamp" }, new[]{ "OldestTimestamp", "LatestTimestamp" }, null, null, null)}),
            new pbr::GeneratedClrTypeInfo(typeof(global::GetLog.GetLogCommandResponse), global::GetLog.GetLogCommandResponse.Parser, new[]{ "Status", "Filename" }, new[]{ "Filename" }, new[]{ typeof(global::GetLog.GetLogCommandResponse.Types.LogStatusEnumType) }, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class GetLogCommand : pb::IMessage<GetLogCommand>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<GetLogCommand> _parser = new pb::MessageParser<GetLogCommand>(() => new GetLogCommand());
    private pb::UnknownFieldSet _unknownFields;
    private int _hasBits0;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<GetLogCommand> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::GetLog.GetLogReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public GetLogCommand() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public GetLogCommand(GetLogCommand other) : this() {
      _hasBits0 = other._hasBits0;
      logType_ = other.logType_;
      requestId_ = other.requestId_;
      retries_ = other.retries_;
      retryInterval_ = other.retryInterval_;
      log_ = other.log_ != null ? other.log_.Clone() : null;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public GetLogCommand Clone() {
      return new GetLogCommand(this);
    }

    /// <summary>Field number for the "log_type" field.</summary>
    public const int LogTypeFieldNumber = 1;
    private global::GetLog.GetLogCommand.Types.LogEnumType logType_ = global::GetLog.GetLogCommand.Types.LogEnumType.DiagnosticsLog;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::GetLog.GetLogCommand.Types.LogEnumType LogType {
      get { return logType_; }
      set {
        logType_ = value;
      }
    }

    /// <summary>Field number for the "request_id" field.</summary>
    public const int RequestIdFieldNumber = 2;
    private int requestId_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int RequestId {
      get { return requestId_; }
      set {
        requestId_ = value;
      }
    }

    /// <summary>Field number for the "retries" field.</summary>
    public const int RetriesFieldNumber = 3;
    private int retries_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int Retries {
      get { if ((_hasBits0 & 1) != 0) { return retries_; } else { return 0; } }
      set {
        _hasBits0 |= 1;
        retries_ = value;
      }
    }
    /// <summary>Gets whether the "retries" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasRetries {
      get { return (_hasBits0 & 1) != 0; }
    }
    /// <summary>Clears the value of the "retries" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearRetries() {
      _hasBits0 &= ~1;
    }

    /// <summary>Field number for the "retry_interval" field.</summary>
    public const int RetryIntervalFieldNumber = 4;
    private int retryInterval_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int RetryInterval {
      get { if ((_hasBits0 & 2) != 0) { return retryInterval_; } else { return 0; } }
      set {
        _hasBits0 |= 2;
        retryInterval_ = value;
      }
    }
    /// <summary>Gets whether the "retry_interval" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasRetryInterval {
      get { return (_hasBits0 & 2) != 0; }
    }
    /// <summary>Clears the value of the "retry_interval" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearRetryInterval() {
      _hasBits0 &= ~2;
    }

    /// <summary>Field number for the "log" field.</summary>
    public const int LogFieldNumber = 5;
    private global::GetLog.GetLogCommand.Types.LogParametersType log_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::GetLog.GetLogCommand.Types.LogParametersType Log {
      get { return log_; }
      set {
        log_ = value;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as GetLogCommand);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(GetLogCommand other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (LogType != other.LogType) return false;
      if (RequestId != other.RequestId) return false;
      if (Retries != other.Retries) return false;
      if (RetryInterval != other.RetryInterval) return false;
      if (!object.Equals(Log, other.Log)) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (LogType != global::GetLog.GetLogCommand.Types.LogEnumType.DiagnosticsLog) hash ^= LogType.GetHashCode();
      if (RequestId != 0) hash ^= RequestId.GetHashCode();
      if (HasRetries) hash ^= Retries.GetHashCode();
      if (HasRetryInterval) hash ^= RetryInterval.GetHashCode();
      if (log_ != null) hash ^= Log.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (LogType != global::GetLog.GetLogCommand.Types.LogEnumType.DiagnosticsLog) {
        output.WriteRawTag(8);
        output.WriteEnum((int) LogType);
      }
      if (RequestId != 0) {
        output.WriteRawTag(16);
        output.WriteInt32(RequestId);
      }
      if (HasRetries) {
        output.WriteRawTag(24);
        output.WriteInt32(Retries);
      }
      if (HasRetryInterval) {
        output.WriteRawTag(32);
        output.WriteInt32(RetryInterval);
      }
      if (log_ != null) {
        output.WriteRawTag(42);
        output.WriteMessage(Log);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (LogType != global::GetLog.GetLogCommand.Types.LogEnumType.DiagnosticsLog) {
        output.WriteRawTag(8);
        output.WriteEnum((int) LogType);
      }
      if (RequestId != 0) {
        output.WriteRawTag(16);
        output.WriteInt32(RequestId);
      }
      if (HasRetries) {
        output.WriteRawTag(24);
        output.WriteInt32(Retries);
      }
      if (HasRetryInterval) {
        output.WriteRawTag(32);
        output.WriteInt32(RetryInterval);
      }
      if (log_ != null) {
        output.WriteRawTag(42);
        output.WriteMessage(Log);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (LogType != global::GetLog.GetLogCommand.Types.LogEnumType.DiagnosticsLog) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) LogType);
      }
      if (RequestId != 0) {
        size += 1 + pb::CodedOutputStream.ComputeInt32Size(RequestId);
      }
      if (HasRetries) {
        size += 1 + pb::CodedOutputStream.ComputeInt32Size(Retries);
      }
      if (HasRetryInterval) {
        size += 1 + pb::CodedOutputStream.ComputeInt32Size(RetryInterval);
      }
      if (log_ != null) {
        size += 1 + pb::CodedOutputStream.ComputeMessageSize(Log);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(GetLogCommand other) {
      if (other == null) {
        return;
      }
      if (other.LogType != global::GetLog.GetLogCommand.Types.LogEnumType.DiagnosticsLog) {
        LogType = other.LogType;
      }
      if (other.RequestId != 0) {
        RequestId = other.RequestId;
      }
      if (other.HasRetries) {
        Retries = other.Retries;
      }
      if (other.HasRetryInterval) {
        RetryInterval = other.RetryInterval;
      }
      if (other.log_ != null) {
        if (log_ == null) {
          Log = new global::GetLog.GetLogCommand.Types.LogParametersType();
        }
        Log.MergeFrom(other.Log);
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 8: {
            LogType = (global::GetLog.GetLogCommand.Types.LogEnumType) input.ReadEnum();
            break;
          }
          case 16: {
            RequestId = input.ReadInt32();
            break;
          }
          case 24: {
            Retries = input.ReadInt32();
            break;
          }
          case 32: {
            RetryInterval = input.ReadInt32();
            break;
          }
          case 42: {
            if (log_ == null) {
              Log = new global::GetLog.GetLogCommand.Types.LogParametersType();
            }
            input.ReadMessage(Log);
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 8: {
            LogType = (global::GetLog.GetLogCommand.Types.LogEnumType) input.ReadEnum();
            break;
          }
          case 16: {
            RequestId = input.ReadInt32();
            break;
          }
          case 24: {
            Retries = input.ReadInt32();
            break;
          }
          case 32: {
            RetryInterval = input.ReadInt32();
            break;
          }
          case 42: {
            if (log_ == null) {
              Log = new global::GetLog.GetLogCommand.Types.LogParametersType();
            }
            input.ReadMessage(Log);
            break;
          }
        }
      }
    }
    #endif

    #region Nested types
    /// <summary>Container for nested types declared in the GetLogCommand message type.</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static partial class Types {
      public enum LogEnumType {
        [pbr::OriginalName("DiagnosticsLog")] DiagnosticsLog = 0,
        [pbr::OriginalName("SecurityLog")] SecurityLog = 1,
      }

      public sealed partial class LogParametersType : pb::IMessage<LogParametersType>
      #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
          , pb::IBufferMessage
      #endif
      {
        private static readonly pb::MessageParser<LogParametersType> _parser = new pb::MessageParser<LogParametersType>(() => new LogParametersType());
        private pb::UnknownFieldSet _unknownFields;
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public static pb::MessageParser<LogParametersType> Parser { get { return _parser; } }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public static pbr::MessageDescriptor Descriptor {
          get { return global::GetLog.GetLogCommand.Descriptor.NestedTypes[0]; }
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        pbr::MessageDescriptor pb::IMessage.Descriptor {
          get { return Descriptor; }
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public LogParametersType() {
          OnConstruction();
        }

        partial void OnConstruction();

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public LogParametersType(LogParametersType other) : this() {
          remoteLocation_ = other.remoteLocation_;
          oldestTimestamp_ = other.oldestTimestamp_ != null ? other.oldestTimestamp_.Clone() : null;
          latestTimestamp_ = other.latestTimestamp_ != null ? other.latestTimestamp_.Clone() : null;
          _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public LogParametersType Clone() {
          return new LogParametersType(this);
        }

        /// <summary>Field number for the "remote_location" field.</summary>
        public const int RemoteLocationFieldNumber = 1;
        private string remoteLocation_ = "";
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public string RemoteLocation {
          get { return remoteLocation_; }
          set {
            remoteLocation_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
          }
        }

        /// <summary>Field number for the "oldest_timestamp" field.</summary>
        public const int OldestTimestampFieldNumber = 2;
        private global::Google.Protobuf.WellKnownTypes.Timestamp oldestTimestamp_;
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public global::Google.Protobuf.WellKnownTypes.Timestamp OldestTimestamp {
          get { return oldestTimestamp_; }
          set {
            oldestTimestamp_ = value;
          }
        }

        /// <summary>Field number for the "latest_timestamp" field.</summary>
        public const int LatestTimestampFieldNumber = 3;
        private global::Google.Protobuf.WellKnownTypes.Timestamp latestTimestamp_;
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public global::Google.Protobuf.WellKnownTypes.Timestamp LatestTimestamp {
          get { return latestTimestamp_; }
          set {
            latestTimestamp_ = value;
          }
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public override bool Equals(object other) {
          return Equals(other as LogParametersType);
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public bool Equals(LogParametersType other) {
          if (ReferenceEquals(other, null)) {
            return false;
          }
          if (ReferenceEquals(other, this)) {
            return true;
          }
          if (RemoteLocation != other.RemoteLocation) return false;
          if (!object.Equals(OldestTimestamp, other.OldestTimestamp)) return false;
          if (!object.Equals(LatestTimestamp, other.LatestTimestamp)) return false;
          return Equals(_unknownFields, other._unknownFields);
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public override int GetHashCode() {
          int hash = 1;
          if (RemoteLocation.Length != 0) hash ^= RemoteLocation.GetHashCode();
          if (oldestTimestamp_ != null) hash ^= OldestTimestamp.GetHashCode();
          if (latestTimestamp_ != null) hash ^= LatestTimestamp.GetHashCode();
          if (_unknownFields != null) {
            hash ^= _unknownFields.GetHashCode();
          }
          return hash;
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public override string ToString() {
          return pb::JsonFormatter.ToDiagnosticString(this);
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public void WriteTo(pb::CodedOutputStream output) {
        #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
          output.WriteRawMessage(this);
        #else
          if (RemoteLocation.Length != 0) {
            output.WriteRawTag(10);
            output.WriteString(RemoteLocation);
          }
          if (oldestTimestamp_ != null) {
            output.WriteRawTag(18);
            output.WriteMessage(OldestTimestamp);
          }
          if (latestTimestamp_ != null) {
            output.WriteRawTag(26);
            output.WriteMessage(LatestTimestamp);
          }
          if (_unknownFields != null) {
            _unknownFields.WriteTo(output);
          }
        #endif
        }

        #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
          if (RemoteLocation.Length != 0) {
            output.WriteRawTag(10);
            output.WriteString(RemoteLocation);
          }
          if (oldestTimestamp_ != null) {
            output.WriteRawTag(18);
            output.WriteMessage(OldestTimestamp);
          }
          if (latestTimestamp_ != null) {
            output.WriteRawTag(26);
            output.WriteMessage(LatestTimestamp);
          }
          if (_unknownFields != null) {
            _unknownFields.WriteTo(ref output);
          }
        }
        #endif

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public int CalculateSize() {
          int size = 0;
          if (RemoteLocation.Length != 0) {
            size += 1 + pb::CodedOutputStream.ComputeStringSize(RemoteLocation);
          }
          if (oldestTimestamp_ != null) {
            size += 1 + pb::CodedOutputStream.ComputeMessageSize(OldestTimestamp);
          }
          if (latestTimestamp_ != null) {
            size += 1 + pb::CodedOutputStream.ComputeMessageSize(LatestTimestamp);
          }
          if (_unknownFields != null) {
            size += _unknownFields.CalculateSize();
          }
          return size;
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public void MergeFrom(LogParametersType other) {
          if (other == null) {
            return;
          }
          if (other.RemoteLocation.Length != 0) {
            RemoteLocation = other.RemoteLocation;
          }
          if (other.oldestTimestamp_ != null) {
            if (oldestTimestamp_ == null) {
              OldestTimestamp = new global::Google.Protobuf.WellKnownTypes.Timestamp();
            }
            OldestTimestamp.MergeFrom(other.OldestTimestamp);
          }
          if (other.latestTimestamp_ != null) {
            if (latestTimestamp_ == null) {
              LatestTimestamp = new global::Google.Protobuf.WellKnownTypes.Timestamp();
            }
            LatestTimestamp.MergeFrom(other.LatestTimestamp);
          }
          _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public void MergeFrom(pb::CodedInputStream input) {
        #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
          input.ReadRawMessage(this);
        #else
          uint tag;
          while ((tag = input.ReadTag()) != 0) {
            switch(tag) {
              default:
                _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
                break;
              case 10: {
                RemoteLocation = input.ReadString();
                break;
              }
              case 18: {
                if (oldestTimestamp_ == null) {
                  OldestTimestamp = new global::Google.Protobuf.WellKnownTypes.Timestamp();
                }
                input.ReadMessage(OldestTimestamp);
                break;
              }
              case 26: {
                if (latestTimestamp_ == null) {
                  LatestTimestamp = new global::Google.Protobuf.WellKnownTypes.Timestamp();
                }
                input.ReadMessage(LatestTimestamp);
                break;
              }
            }
          }
        #endif
        }

        #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
          uint tag;
          while ((tag = input.ReadTag()) != 0) {
            switch(tag) {
              default:
                _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
                break;
              case 10: {
                RemoteLocation = input.ReadString();
                break;
              }
              case 18: {
                if (oldestTimestamp_ == null) {
                  OldestTimestamp = new global::Google.Protobuf.WellKnownTypes.Timestamp();
                }
                input.ReadMessage(OldestTimestamp);
                break;
              }
              case 26: {
                if (latestTimestamp_ == null) {
                  LatestTimestamp = new global::Google.Protobuf.WellKnownTypes.Timestamp();
                }
                input.ReadMessage(LatestTimestamp);
                break;
              }
            }
          }
        }
        #endif

      }

    }
    #endregion

  }

  public sealed partial class GetLogCommandResponse : pb::IMessage<GetLogCommandResponse>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<GetLogCommandResponse> _parser = new pb::MessageParser<GetLogCommandResponse>(() => new GetLogCommandResponse());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<GetLogCommandResponse> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::GetLog.GetLogReflection.Descriptor.MessageTypes[1]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public GetLogCommandResponse() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public GetLogCommandResponse(GetLogCommandResponse other) : this() {
      status_ = other.status_;
      filename_ = other.filename_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public GetLogCommandResponse Clone() {
      return new GetLogCommandResponse(this);
    }

    /// <summary>Field number for the "status" field.</summary>
    public const int StatusFieldNumber = 1;
    private global::GetLog.GetLogCommandResponse.Types.LogStatusEnumType status_ = global::GetLog.GetLogCommandResponse.Types.LogStatusEnumType.Accepted;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::GetLog.GetLogCommandResponse.Types.LogStatusEnumType Status {
      get { return status_; }
      set {
        status_ = value;
      }
    }

    /// <summary>Field number for the "filename" field.</summary>
    public const int FilenameFieldNumber = 2;
    private string filename_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Filename {
      get { return filename_ ?? ""; }
      set {
        filename_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "filename" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasFilename {
      get { return filename_ != null; }
    }
    /// <summary>Clears the value of the "filename" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearFilename() {
      filename_ = null;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as GetLogCommandResponse);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(GetLogCommandResponse other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (Status != other.Status) return false;
      if (Filename != other.Filename) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (Status != global::GetLog.GetLogCommandResponse.Types.LogStatusEnumType.Accepted) hash ^= Status.GetHashCode();
      if (HasFilename) hash ^= Filename.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (Status != global::GetLog.GetLogCommandResponse.Types.LogStatusEnumType.Accepted) {
        output.WriteRawTag(8);
        output.WriteEnum((int) Status);
      }
      if (HasFilename) {
        output.WriteRawTag(18);
        output.WriteString(Filename);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (Status != global::GetLog.GetLogCommandResponse.Types.LogStatusEnumType.Accepted) {
        output.WriteRawTag(8);
        output.WriteEnum((int) Status);
      }
      if (HasFilename) {
        output.WriteRawTag(18);
        output.WriteString(Filename);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (Status != global::GetLog.GetLogCommandResponse.Types.LogStatusEnumType.Accepted) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) Status);
      }
      if (HasFilename) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Filename);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(GetLogCommandResponse other) {
      if (other == null) {
        return;
      }
      if (other.Status != global::GetLog.GetLogCommandResponse.Types.LogStatusEnumType.Accepted) {
        Status = other.Status;
      }
      if (other.HasFilename) {
        Filename = other.Filename;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 8: {
            Status = (global::GetLog.GetLogCommandResponse.Types.LogStatusEnumType) input.ReadEnum();
            break;
          }
          case 18: {
            Filename = input.ReadString();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 8: {
            Status = (global::GetLog.GetLogCommandResponse.Types.LogStatusEnumType) input.ReadEnum();
            break;
          }
          case 18: {
            Filename = input.ReadString();
            break;
          }
        }
      }
    }
    #endif

    #region Nested types
    /// <summary>Container for nested types declared in the GetLogCommandResponse message type.</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static partial class Types {
      public enum LogStatusEnumType {
        [pbr::OriginalName("Accepted")] Accepted = 0,
        [pbr::OriginalName("Rejected")] Rejected = 1,
        [pbr::OriginalName("AcceptedCanceled")] AcceptedCanceled = 2,
      }

    }
    #endregion

  }

  #endregion

}

#endregion Designer generated code
